For AI agents: a documentation index is available at /llms.txt
Skip to main content

ReconnectionResponse

The response received after attempting to reconnect a BrowserQL session

Properties​

PropertyTypeDescription
browserQLEndpointstring | nullThe fully-qualified URL to reconnect future BrowserQL sessions, eg: https://chrome.browserless.io/bql/$id. Please note that token information is not returned by this API and might be required
browserWSEndpointstring | nullThe fully-qualified URL of the browserWSEndpoint which can be used with other libraries like playwright or puppeteer. Please note that token information is not returned by this API and might be required
devtoolsFrontendUrlstring | nullThe fully-qualified URL of the devtools resources for loading Chrome's developer tools remotely. It carries your token so the developer tools can connect, so do not share it
webSocketDebuggerUrlstring | nullThe underlying page's webSocketDebuggerUrl, useful for hooking libraries that operate on a page and not a browser object. This URL omits your token: add it as a token query parameter when connecting
Was this page helpful?